﻿@model Jumbula.Core.Model.ClubSetting.ProgramsPolicyViewModel
@{
    Layout = null;
}

<style>
    .icon {
        margin-left: 3px;
        padding: 2px 0;
        font-size: 14px;
        color: #006cc2;
        display: inline-block;
        position: relative;
        z-index: 9;
        cursor: pointer;
    }

    .icon-msg-box {
        bottom: 34px;
        width: 300px;
        padding: 8px;
        position: absolute;
        background-color: #006cc2;
        color: #fff;
        border-radius: 4px;
        display: none;
        z-index: 8;
    }
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Programs policy
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <fieldset>
        <legend>General policy</legend>
        <div class="clearfix"></div>
        <div class="place-left two-half padding-right20">
            <div class="input-control checkbox" data-role="input-control">
                <label style="display:inline-block;white-space:nowrap!important">
                    <input ng-model="Model.GeneralPolicy.EnabledRefundAutomaticallyInCancellationOrder" type="checkbox" class="ng-pristine ng-untouched ng-valid">
                    <span class="check"></span>
                    Automatically apply payments from deleted installments to cancellation and prorate fees
                </label>
                <div style="display:inline-block;position:relative;vertical-align: middle;">
                    <i class="jbi-info on-left-more icon" ng-click="ShowInfo()"></i>
                    <div class="icon-msg-box RefundAutmatically" style="display: none;">
                        This option does not apply to Before/After programs.
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="saveGeneralPolicy()">Save</button>
    </fieldset>
    <hr />
    <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    <div class="clearfix"></div>
</div>
